function [pi, alpha, theta] = ccgSeqInference_wrapper(counts, E, W, xpi, xalpha, xtheta)

% CCG inference procedure: keep pi, alpha fixed, learn only theta

options.pi = xpi;
options.learn_pi = 0;
options.max_iter = 10;
options.alpha = xalpha;

% Heuristic theta initialization
tinit = repmat(mean(xtheta,2), [1 size(counts, 2)]);
options.theta = tinit;

[pi,alpha,theta] = ccg(counts, E, W, options);
    