function [xpi, xalpha, xtheta] = xccg_wrapper_partInf(counts1, counts2, E, W, theta1, idx1, idx2)


% 1 - model initialization (pi)
clear init tinit
eq_no_t = round( prod(E) / prod(W) );

Z = linkage(counts1, 'complete');
C = cluster(Z, 'maxclust', eq_no_t);

pi_init = zeros(size(counts1,1), eq_no_t);
for i = 1:eq_no_t
    pi_init(C == i, i) = 1;
end
pi_init = normalize(pi_init,1);
pi_init(pi_init==0) = 1/(size(pi_init,1));
eq_E = [ceil(sqrt(eq_no_t)) ceil(sqrt(eq_no_t))];
for i = 1:size(pi_init,1)
    init(:,:,i) = reshape(pi_init(i,:),eq_E);
end
init = bsxfun(@rdivide, init, sum(init,3));
init = expandcg(init, E, W);

% 2 - Learn X-CCG with the common subset
clear options

options.pi = init;
options.learn_pi = 1;
options.max_iter = 60;
options.learn_alpha = 0;
options.theta = theta1;

[xpi,xalpha,xtheta_corr] = xccg(counts1, E, W, options);

[xpi, xalpha, xtheta_rest] = ccgSeqInference_wrapper(counts2, E, W, xpi, xalpha, xtheta_corr);

tmp = [xtheta_corr xtheta_rest];
idx = [idx1; idx2];

xtheta = zeros(size(xtheta_corr,1),length(idx1)+length(idx2));
for i = 1:length(idx)
    xtheta(:, idx(i)) = tmp(:, i);
end








