function [wt, td, F] = ldaSeqInference_wrapper(counts, t, xwt,xtd)

% Inference: keep parameters (wt) fixed, re-estimate td, i.e theta in the
% paper

inittd = mean(xtd,2);
inittd = repmat(inittd, [1 size(counts,2)]);
td = inittd; F = NaN(1,4);

for j = 1:4
    td = normalize( td .* ...
        ( xwt' * ( counts ./ ( xwt * td + eps ) ) ), 1);
    F(j) = sum(sum( counts.*log( xwt*td  +eps) ,1));
end

if size(xwt,2) == t
    wt = xwt;
else
    disp('ERROR');
end
